Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366030 - Release registry-console-docker for OpenShift Container Platform 3.3.0
Summary: Release registry-console-docker for OpenShift Container Platform 3.3.0
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Scott Dodson
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 20:00 UTC by Dominik Perpeet
Modified: 2016-11-14 16:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 13:24:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1942 normal SHIPPED_LIVE new image: Red Hat OpenShift Container Platform registry web console 2016-09-27 19:31:14 UTC

Description Dominik Perpeet 2016-08-10 20:00:00 UTC
Release registry-console-docker container image for OpenShift Container Platform 3.3.0.

Comment 4 Yanping Zhang 2016-08-18 06:15:15 UTC
Dominik, since the registry-console image exists now, in order to verify this bug, what else do we need to do about it?

Comment 5 Yadan Pei 2016-08-22 03:16:08 UTC
Hi Scott, 


We're not quite good at verifying image relative bugs, also we're stuck. Since component is set to Image Registry, could you please help change QA contact to relative QE who could check the image correctly ? if this image has something to do for web console, then we could help on console verification.

Comment 6 Yadan Pei 2016-08-22 05:38:06 UTC
Hi Scott,

Some questions need your confrim?

1. On which registry should we check image registry-console-docker-3.3-1/openshift3/registry-console?

2. Once image checking passed, what should we check about web console? Is this related with https://github.com/openshift/openshift-ansible/pull/2318 ?

Comment 7 Scott Dodson 2016-08-22 12:43:52 UTC
Yapei,

Yes, the installer should add functionality to install this registry console automatically and that's https://github.com/openshift/openshift-ansible/pull/2318 and https://github.com/openshift/openshift-ansible/pull/2235

The registry should be found at openshift3/registry-console it should be in the brew registry, I'll make sure that we add it to our scripts to sync it to registry.ops.openshift.com too.

Regarding QE owner, I think maybe Ying Zhou owns this? Assigning to them.

Comment 8 zhou ying 2016-08-23 06:01:12 UTC
Scott:

Now the images has sync to  brew registry and registry.ops.openshift.com . When the related PR merged, will verify on web console.

Comment 9 Yadan Pei 2016-08-29 02:16:20 UTC
Hi, changing status to MODIFIED since PR is still not merged.

Could assign back when it's ready to test

Comment 10 Yadan Pei 2016-08-29 06:41:21 UTC
Hi, found PR is merged, please help change to ON_QA, sorry for the inconvenience

Comment 11 Troy Dawson 2016-08-29 20:20:31 UTC
This has been merged into openshift-ansible-3.3.16-1.git.0.9ed3fd2.el7 the latest puddles and OSE v3.3.0.27 or newer images.

Comment 12 Troy Dawson 2016-08-29 20:24:35 UTC
Marking this on QE manually since it is already in the errata.

Comment 15 Yadan Pei 2016-08-30 09:38:40 UTC
Hi Dominik,

I would like to move this bug to VERIFIED when bug 1371423 resolved, is this OK?

Comment 16 Yadan Pei 2016-08-31 06:14:59 UTC
Verification steps blocked by bug 1371423

Comment 17 Yadan Pei 2016-09-07 07:18:39 UTC
bug 1371423 is verified and we test against new atomic registry env(set up with openshift-ansible-playbooks-3.3.22-1.git.0.6c888c2.el7.noarch & cockpit 0.114)

Several bugs found during our testing and already been recorded in bugs with summary started with '[atomic registry]', these bugs are likely to ship with 3.3.1


For this bug tracking atomic registry release in 3.3.0, I think i could move to VERIFIED since most function works well with 3.3.0 puddle and cockpit 0.114.

Functions we had tested: Login/Pull/Push
Installation Matrix: RPM & Container installation on RHEL Atomic Host 7.2


Please feel free to move back to ON_QA if any bug fix is going to ship with 3.3.0 and need to be checked


Note You need to log in before you can comment on or make changes to this bug.